* {
    box-sizing: border-box;
}

body {
    font-family: 'Raleway';
    margin: 0;
    padding: 0;
}

/*ეს იმ შემთხვევაში, თუ კონტენტი მთლიან ეკრანზე არ უნდა იყოს გადაჭიმული.
.wrapper {max-width: 1000px; margin: auto;} */



/********************************************************************************/
/*Header Section*/

.header {
    background-color:#fff;
    width: 100%;
}

.header__container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
    flex-wrap: wrap;
    text-transform: uppercase;
}

.header__item {
    padding: 10px;
}

.header__item--hidden {
    display: none;
}

.header__item--logo {
    display: flex;
    align-items: center;
}

.header-logo__div {
    padding: 5px;
}

.header-logo__title {
    font-family: 'Archivo Black', sans-serif;
    font-size: 24px;
    font-weight: bold;
    margin: 0;
}

.header__item--menu {
    display: flex;
}

.header-menu__list {
    list-style-type: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.header-menu__list-item {
    padding: 10px;
    font-weight: 800;
    cursor: pointer;
}

.header-menu__list-item:hover {
    color: green;
}

.header-invite__button {
    padding: 15px 30px 15px;
    background-color: black;
    color: #fff;
    text-transform: uppercase;
    border-style: none;
}

.header-invite__button:hover {
    background-color: rgba(0,0,0,0.5);
    color: black;
    cursor: pointer;
}

/********************************************************************************/
/*Main Section*/

.main-container {
    display: flex;
    /* height: 60vh; */
}

 .main-container--create, .main-container--designed {
    flex-wrap: wrap-reverse;
}

.main-container--beautiful{
    flex-wrap: wrap;
} 

.main-container--create{
    background-color: black;
}

.main-container__item--create {
    padding-top: 30px;
    padding-bottom: 30px;
}

.main-container--beautiful, .main-container--designed {
    background-color: white;
}

.main-container__item--text {
    flex: 1 300px;
    min-height: 50vh;
    display: flex;
    justify-content:center;
    flex-direction: column;
}

.main-container__item--beautiful, .main-container__item--designed {
    padding: 30px;
}

.create__border {
    border-left: 5px solid salmon;
    padding-left: 30px;
    padding-right: 30px;
}

.main-container__content {
    padding-left: 30px;
    padding-right: 30px;
}

.main-container__item--image {
    flex: 2 500px;

}

.content__heading {
    text-transform: uppercase;
    margin: 0;
    font-size: 40px;
}

.create__heading {
    color: #fff;
}

.beautiful__heading, .designed__heading {
    color: black;
}

.content__paragraph {
    font-size: 20px;
    padding-top: 15px;
    padding-bottom: 15px;
}

.create__paragraph {
    color: rgba(255, 255, 255, 0.5);
}

.beautiful__paragraph, .designed__paragraph {
    color: rgba(0,0,0,0.5);
}

.content__button {
    padding-left: 0px;
    background-color: transparent;
    border-style: none;
    text-transform: uppercase;
    font-size: 20px;
    cursor: pointer;
}

.create__button {
    color: #fff;
}

.beautiful__button, .designed__button {
    color: black;
}

.container__img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/********************************************************************************/
/*Stories/Articles Section*/

.stories__container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.stories__item {
    flex: 1;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 30px;
    color: #fff;
    height: 60vh;
}

.stories__heading, .stories__paragraph, .stories__button {
    margin: 0px;
}

.stories-item__div {
    margin: 5px;
}

.stories__button {
    padding: 0;
    border-style: none;
    background-color: transparent;
    text-transform: uppercase;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
}

.stories__item--first {
    background-image: url('Images/img1.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.stories__item--second {
    background-image: url('Images/img2.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.stories__item--third {
    background-image: url('Images/img3.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.stories__item--fourth {
    background-image: url('Images/img4.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.stories-item__div--button {
    display: flex;
    justify-content: space-between;
}


/********************************************************************************/
/*Features Section*/

.features__container {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 40px;
    background-color: white;
    flex-wrap: wrap;
}

.features__item {
    flex: 1;
    padding: 30px;
    /* width: 30%; */
}

.features-item__div--heading {
    font-size: 20px;
}

.features-item__div--image {
    margin-bottom: 20px;
}


/********************************************************************************/
/*Footer Section*/

.footer__container {
    display: flex;
    width: 100%;
    justify-content: space-around;
    background-color: black;
    flex-wrap: wrap;
}

.footer-container__item {
    padding: 30px;
}

.footer-container__item--media {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.footer__logo--title {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.footer-item__div--logos {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.footer-item__div, .footer-item__invite {
    margin: 20px;
}

.footer-logo__heading {
    font-family: 'Archivo Black', sans-serif;
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    margin: 0;
}

.footer__logo--media {
    display: inline-block;
}

.footer__list {
    list-style-type: none;
    margin:0;
    padding:0;
}

.footer__list-item {
    color: #fff;
    text-transform: uppercase;
    padding: 8px;
    margin:0;
    font-size: 14px;
    cursor: pointer;
}

.footer__list-item:hover{
    color: salmon;
}

.footer-logo__img {
    padding: 3px;
}

.footer-container__item--invite {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
}

.footer-item__button {
    border-style: none;
    color: #fff;
    text-transform: uppercase;
    font-size: 18px;
    background-color: transparent;
    cursor: pointer;
}

.footer-item__invite--copyright {
    font-size: 15px;
    color:rgba(255, 255, 255, 0.5);
    text-transform: capitalize;
}



/********************************************************************************/

/*Small screens, laptops*/
@media screen and (min-width: 769px) and (max-width: 1024px) {
   
    .content__heading {
        font-size: 30px;
    }
   
    .stories__item {
       flex: 50%;
    }

    .footer-container__item--invite {
        align-items: center;
    }
}



/********************************************************************************/

/*iPads, Tablets*/
@media screen and (min-width: 481px) and (max-width: 768px) {
    .content__heading {
        font-size: 30px;
    }

    .stories__item {
        flex: 60%;
     }


    .features__item {
        flex: 60%;
    }

    .footer-container__item--invite {
        align-items: center;
    }
}


/********************************************************************************/

/*Mobile devices*/
@media screen and (max-width: 480px){

    .header__container {
        justify-content: space-between;
    }

    .header__item--menu, .header__item--invite {
        display: none;
    }

    .header__item--hidden {
        display: inline-block;
    }

    /* .container__img {
        min-height: 30vh;
    } */

    .content__heading {
        font-size: 30px;
    }

    .stories__item {
        flex: 60%;
    }

    .features__item {
        flex: 60%;
    }

    .footer-container__item--media {
        flex-wrap: wrap;
        justify-content: center;
        text-align: center;
    }

    .footer-item__div--logos {
        align-items: center;
    }

    .footer-container__item--invite {
        align-items: center;
    }
}
